> For the complete documentation index, see [llms.txt](https://docs.mastersindia.co/goods-and-services-tax-gst-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersindia.co/goods-and-services-tax-gst-api/upload-gstr1.md).

# upload gstr1

{% embed url="<https://www.mastersindia.co/contact-us/?products=GST%20API>" %}

<table><thead><tr><th width="224">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong>URL</strong></td><td><a href="https://api-platform.mastersindia.co/api/v1/saas-apis/upload-gstr1/">https://api-platform.mastersindia.co/api/v1/saas-apis/upload-gstr1/</a></td></tr><tr><td><strong>Method Type</strong></td><td>POST</td></tr><tr><td><strong>Post Parameters (JSON Format)</strong></td><td><p></p><pre><code>--header 'gstin: 27GSPMH0591G1ZK' \
--header 'month: 04' \
--header 'year: 2022-23' \
--header 'invoice: Y' \
--header 'summary: y' \
--header 'Authorization: JWT {{token}}' \
</code></pre></td></tr><tr><td><strong>Success Response</strong></td><td><p></p><pre class="language-javascript"><code class="lang-javascript">{
  "message": "success",
  "success": true,
  "data": {
    "invoice_result": [
      {
        "invoice_type": "b2b",
        "message": {
          "errors": [
            {
              "inum": "Ret/a1",
              "RET191113": "The GSTIN is invalid. Please enter a valid GSTIN."
            },
            {
              "inum": "Ret/a3",
              "RET191113": "The GSTIN is invalid. Please enter a valid GSTIN."
            }
          ]
        },
        "status": false,
        "chunk_index": 0
      }
    ],
    "summary_result": [
      {
        "invoice_type": "b2cs",
        "message": "Data uploaded successfully. Reference id is ee8808bb-8d9a-402d-a709-1d1611884398",
        "status": true
      },
      {
        "invoice_type": "hsn",
        "message": {
          "errors": [
            {
              "RET191353": "The UQC entered is not valid"
            },
            {
              "": ""
            }
          ]
        },
        "status": false
      },
      {
        "invoice_type": "nil",
        "message": "Data uploaded successfully. Reference id is 610b602c-40db-4dd0-9fec-7ea0e3ef7d69",
        "status": true
      },
      {
        "invoice_type": "doc_issue",
        "message": "Data uploaded successfully. Reference id is 1bff1b7c-0b1e-4a87-b2e4-7e6b50200c3e",
        "status": true
      }
    ]
  }
}
</code></pre></td></tr></tbody></table>

{% embed url="<https://www.mastersindia.co/contact-us/?products=GST%20API>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersindia.co/goods-and-services-tax-gst-api/upload-gstr1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
